# Ajax

#### new Ajax()

Source:
  - modules/Ajax.js, line 9

Ajax method

### Methods

#### (static) abort() → {Object}

Source:
  - modules/Ajax.js, line 34

Abort the request if it has already been sent

##### Returns:

cLabs.Ajax

Type
  Object

#### (static) getData(configuration) → {String}

Source:
  - modules/Ajax.js, line 52

Retrieves data from a URL without page refresh

##### Parameters:

Name | Type | Description
--- | --- | ---

`configuration`

Object

object

- object contains: HTTP method "type: POST, GET", url: to send the request to, data: {object}

##### Returns:

in success object

Type
  String